package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.FiscalImpressoraEstadoDAO;
import com.rjconsultores.ventaboletos.entidad.FiscalImpressora;
import com.rjconsultores.ventaboletos.entidad.FiscalImpressoraEstado;
import com.rjconsultores.ventaboletos.service.FiscalImpressoraEstadoService;

@Service("fiscalImpressoraEstadoService")
public class FiscalImpressoraEstadoServiceImpl implements FiscalImpressoraEstadoService {

	@Autowired
	FiscalImpressoraEstadoDAO fiscalImpressoraEstadoDAO;

	@Override
	public List<FiscalImpressoraEstado> obtenerTodos() {
		return fiscalImpressoraEstadoDAO.obtenerTodos();
	}

	@Override
	public FiscalImpressoraEstado obtenerID(Integer id) {
		return fiscalImpressoraEstadoDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public FiscalImpressoraEstado suscribir(FiscalImpressoraEstado entidad) {
		return fiscalImpressoraEstadoDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public FiscalImpressoraEstado actualizacion(FiscalImpressoraEstado entidad) {
		return fiscalImpressoraEstadoDAO.actualizacion(entidad);
	}

	@Override
	public List<FiscalImpressoraEstado> retornaEstadosFiscalImpressora(FiscalImpressora fiscalImpressora) {
		return fiscalImpressoraEstadoDAO.retornaEstadosFiscalImpressora(fiscalImpressora);
	}

	@Override
	@Transactional
	public void borrar(FiscalImpressoraEstado entidad) {
		fiscalImpressoraEstadoDAO.borrar(entidad);

	}

}
